Package com.independentsoft.office.word.customMarkup

# Class StructuredDocumentTagRun

java.lang.Object
com.independentsoft.office.word.customMarkup.StructuredDocumentTagRun

All Implemented Interfaces:
  `IContentElement`, `IContentRunContent`, `IParagraphContent`, `IRunTrackChangeContent`

public class StructuredDocumentTagRun extends Object implements IContentRunContent
The Class StructuredDocumentTagRun.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StructuredDocumentTagRun()`
  Instantiates a new structured document tag run.
  `StructuredDocumentTagRun​(InternalXMLStreamReader reader)`
  Instantiates a new structured document tag run.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add​(IParagraphContent contentElement)`
  Adds the.
  `StructuredDocumentTagRun`
  `clone()`
  `List<IParagraphContent>`
  `getContent()`
  Gets the content.
  `List<IContentElement>`
  `getContentElements()`
  `RunProperties`
  `getEndCharacterRunProperties()`
  Gets the end character run properties.
  `StructuredDocumentTagProperties`
  `getProperties()`
  Gets the properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StructuredDocumentTagRun

    public StructuredDocumentTagRun()
    Instantiates a new structured document tag run.

  - ### StructuredDocumentTagRun

    public StructuredDocumentTagRun​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new structured document tag run.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### add

    public void add​(IParagraphContent contentElement)
    Adds the.
    Parameters:
      `contentElement` - the content element

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public StructuredDocumentTagRun clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IContentRunContent`
    Specified by:
      `clone` in interface `IParagraphContent`
    Specified by:
      `clone` in interface `IRunTrackChangeContent`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getContent

    public List<IParagraphContent> getContent()
    Gets the content.
    Returns:
      the content

  - ### getProperties

    public StructuredDocumentTagProperties getProperties()
    Gets the properties.
    Returns:
      the properties

  - ### getEndCharacterRunProperties

    public RunProperties getEndCharacterRunProperties()
    Gets the end character run properties.
    Returns:
      the end character run properties